Fire a sample webhook.test event
Sends a webhook.test event to the configured URL using the current secret. Useful for verifying a new endpoint.
POST
/projects/{projectId}/webhooks/{webhookId}/test
Sends a webhook.test event to the configured URL using the current secret. Useful for verifying a new endpoint.
Authentication
API Key (header: X-API-Key)
Path Parameters
projectId
string
required
path
webhookId
string
required
path
Responses
200
Delivery attempted
application/jsondata
object
delivered
boolean
status_code
integer | null
duration_ms
integer
curl -X POST 'https://api.rogeriq.com/api/v1/projects/string/webhooks/string/test' \ -H 'Authorization: Bearer YOUR_API_TOKEN'
const response = await fetch('https://api.rogeriq.com/api/v1/projects/string/webhooks/string/test', { method: 'POST', headers: { "Authorization": "Bearer YOUR_API_TOKEN" }});const data = await response.json();console.log(data);
import requestsheaders = { 'Authorization': 'Bearer YOUR_API_TOKEN'}response = requests.post('https://api.rogeriq.com/api/v1/projects/string/webhooks/string/test', headers=headers)print(response.json())
200
Response
{ "data": { "delivered": true, "status_code": 123, "duration_ms": 123 }}
API Playground
Try this endpoint
POST
/projects/{projectId}/webhooks/{webhookId}/test